Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-gtk-3.22/finddlg.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions | Variables
finddlg.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <gtk/gtk.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "game.h"`
`#include "player.h"`
`#include "options.h"`
`#include "dialogs.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "mapview.h"`
`#include "finddlg.h"`

Go to the source code of this file.

## Functions

static void | update_find_dialog (GtkListStore *store)
static void | find_response (struct gui_dialog *dlg, int response, gpointer data)
static void | find_destroy_callback (GtkWidget *w, gpointer data)
static void | find_selection_callback (GtkTreeSelection *selection, GtkTreeModel *model)
void | popup_find_dialog (void)

## Variables

static struct gui_dialog * | find_dialog_shell
static GtkWidget * | find_view
static struct tile * | pos

## Function Documentation

## ◆ find_destroy_callback()

static void find_destroy_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Find dialog destroyed

Definition at line 187 of file finddlg.c.

## ◆ find_response()

static void find_response | ( | struct gui_dialog * | dlg,
|  | int | response,
|  | gpointer | data
| ) |  |

static

User responded to find dialog

Definition at line 162 of file finddlg.c.

## ◆ find_selection_callback()

static void find_selection_callback | ( | GtkTreeSelection * | selection,
|  | GtkTreeModel * | model
| ) |  |

static

User selected city from find dialog

Definition at line 197 of file finddlg.c.

## ◆ popup_find_dialog()

void popup_find_dialog | ( | void |  | ) |

Popup the dialog 10% inside the main-window

Definition at line 58 of file finddlg.c.

## ◆ update_find_dialog()

static void update_find_dialog | ( | GtkListStore * | store | ) |

static

Update find dialog with current cities

Definition at line 137 of file finddlg.c.

## Variable Documentation

## ◆ find_dialog_shell

struct gui_dialog* find_dialog_shell

static

Definition at line 43 of file finddlg.c.

## ◆ find_view

GtkWidget* find_view

static

Definition at line 44 of file finddlg.c.

## ◆ pos

struct tile* pos

static

Definition at line 53 of file finddlg.c.